# Remove a comment

DELETE https://api.close.com/api/v1/comment/{id}/

Note that contrary to the HTTP verb, this does not necessarily _delete_ a comment (but it will _remove_ it). Comments bodies are removed, but the comment object still exists until all comments in a thread are removed (at which point the entire thread is deleted).

Permissions around removing comments inherit from the users permission to delete their own or other users' activities.

Reference: https://developer.close.com/api/resources/comments/delete

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /comment/{id}/:
    delete:
      operationId: delete
      summary: Remove a comment
      description: >-
        Note that contrary to the HTTP verb, this does not necessarily _delete_
        a comment (but it will _remove_ it). Comments bodies are removed, but
        the comment object still exists until all comments in a thread are
        removed (at which point the entire thread is deleted).


        Permissions around removing comments inherit from the users permission
        to delete their own or other users' activities.
      tags:
        - subpackage_comments
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Basic authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
    OAuth2:
      type: http
      scheme: bearer

```